require 'uu/os/gvc/component'

module UU
  module OS
    module Form

      # Form button component.
      #
      # @deprecated Use {UU::OS::GVC::Button} instead.
      class FormButton < UU::OS::GVC::Component

        # Button width.
        attr_reader :width

        # Button label.
        attr_accessor :text

        # Button on-click action.
        attr_accessor :action

        # Flag if button is disabled
        attr_accessor :disabled

        def text
          attributes[:text]
        end

        def text=(text)
          attributes[:text] = text
        end

        def action
          attributes[:action]
        end

        def action=(action)
          attributes[:action] = action
        end

        def disabled
          attributes[:disabled]
        end

        def disabled=(disabled)
          attributes[:disabled] = disabled
        end

      end
    end
  end
end
